%ifarch %{arm}
%define build_docs         0
%else
%define build_docs         1
%endif

%define qtmajor 5
%define qtminor 9
%define qtsubminor 4

%define rel 1
%define pre                rc
%define snapshot           0

%define qtversion          %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtpositioning   %mklibname qt5positioning %qtmajor
%define libqtpositioning_d %mklibname qt5positioning -d

%define libqtlocation      %mklibname qt5location %qtmajor
%define libqtlocation_d    %mklibname qt5location -d

%if %snapshot
%define qttarballdir       qtlocation-opensource-src-%{qtversion}-%pre
%else
%define qttarballdir       qtlocation-opensource-src-%{qtversion}
%endif

Name:           qtlocation5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Location component
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires:  qtbase5-devel >= %{version}
BuildRequires:  pkgconfig(Qt5Quick) >= %{version}
BuildRequires:  pkgconfig(Qt5Qml) >= %{version}
BuildRequires:  pkgconfig(geoclue)
BuildRequires:  pkgconfig(gypsy)
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  pkgconfig(libcrypto)
BuildRequires:  pkgconfig(libssl)
#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
Qt%{qtmajor} Location component.

%files
%{_qt5_qml}/QtLocation
%{_qt5_examplesdir}/location
%{_qt5_plugindir}/geoservices

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtLocation%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtLocation%{qtmajor} package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtlocation.qch
%{_qt5_docdir}/qtlocation/
%{_qt5_docdir}/qtpositioning.qch
%{_qt5_docdir}/qtpositioning/
%endif

#------------------------------------------------------------------------------

%package -n     qtpositioning5
Summary:        Qt%{qtmajor} Positioning Component
Group:          System/Libraries
Requires:       %{libqtpositioning} = %{version}
Provides:       qt5positioning = %{version}

%description -n qtpositioning5
Qt%{qtmajor} Positioning Component.

The Positioning module provides positioning information via QML
and C++ interfaces.

%files -n qtpositioning5
%{_qt5_qml}/QtPositioning
%{_qt5_plugindir}/position
%{_qt5_examplesdir}/positioning

#------------------------------------------------------------------------------

%package -n     %{libqtpositioning}
Summary:        Qt%{qtmajor} Positioning Component Library
Group:          System/Libraries

%description -n %{libqtpositioning}
Qt%{qtmajor} Positioning Component Library.

The Positioning module provides positioning information via QML
and C++ interfaces.

%files -n %{libqtpositioning}
%{_qt5_libdir}/libQt5Positioning.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n     %{libqtpositioning_d}
Summary:        Devel files needed to build apps based on QtPositioning
Group:          Development/KDE and Qt
Requires:       %{libqtpositioning} = %version
Provides:       libqtpositioning5-devel = %version
Provides:       libqt5positioning-devel = %version
Provides:       qtpositioning5-devel = %version
Provides:       qt5positioning-devel = %version

Provides:       libqtpositioning5-private-devel = %version
Provides:       libqt5positioning-private-devel = %version
Provides:       qtpositioning5-private-devel = %version
Provides:       qt5positioning-private-devel = %version

%description -n %{libqtpositioning_d}
Devel files needed to build apps based on Qt Positioning.

%files -n %{libqtpositioning_d}
%{_qt5_libdir}/libQt5Positioning.prl
%{_qt5_libdir}/libQt5Positioning.so
%{_qt5_libdir}/pkgconfig/Qt5Positioning.pc
%{_qt5_libdir}/cmake/Qt5Positioning
%{_qt5_datadir}/examples/positioning
%{_qt5_datadir}/mkspecs/modules/qt_lib_positioning.pri
%{_qt5_includedir}/QtPositioning
%{_qt5_datadir}/mkspecs/modules/qt_lib_positioning_private.pri

#------------------------------------------------------------------------------

%package -n     %{libqtlocation}
Summary:        Qt%{qtmajor} Location Component Library
Group:          System/Libraries

%description -n %{libqtlocation}
Qt%{qtmajor} Location Component Library.

The Location module provides location information via QML and C++ interfaces.

%files -n %{libqtlocation}
%{_qt5_libdir}/libQt5Location.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n     %{libqtlocation_d}
Summary:        Devel files needed to build apps based on QtLocation
Group:          Development/KDE and Qt
Requires:       %{libqtlocation} = %version
Provides:       libqtlocation5-devel = %version
Provides:       libqt5location-devel = %version
Provides:       qtlocation5-devel = %version
Provides:       qt5location-devel = %version

Provides:       libqtlocation5-private-devel = %version
Provides:       libqt5location-private-devel = %version
Provides:       qtloation5-private-devel = %version
Provides:       qt5location-private-devel = %version

%description -n %{libqtlocation_d}
Devel files needed to build apps based on Qt Location.

%files -n %{libqtlocation_d}
%{_qt5_libdir}/cmake/Qt5Location
%{_qt5_libdir}/libQt5Location.prl
%{_qt5_libdir}/libQt5Location.so
%{_qt5_libdir}/pkgconfig/Qt5Location.pc
%{_qt5_includedir}/QtLocation
%{_qt5_datadir}/mkspecs/modules/qt_lib_location.pri
%{_qt5_datadir}/mkspecs/modules/qt_lib_location_private.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n qtlocation-opensource-src-%{qtversion}

%build
%qmake_qt5
%__make -j4

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete


%changelog
* Fri Mar 02 2018 neoclust <neoclust> 5.9.4-1.mga6
  (not released yet)
+ Revision: 1206145
- Sync with cauldron: 5.9.4
- New version 5.9.3
- New version 5.6.3

* Thu Nov 03 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 1064860
- New version 5.6.2

* Fri Sep 02 2016 daviddavid <daviddavid> 5.6.1-3.mga6
+ Revision: 1049783
- build missing docs part (mga#9812)
- add qtlocation5-doc subpackage

* Sun Jul 03 2016 neoclust <neoclust> 5.6.1-2.mga6
+ Revision: 1038375
- Update to version 5.6.1-1
- New version

* Thu Mar 17 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 992488
+ rebuild (emptylog)

* Wed Mar 09 2016 neoclust <neoclust> 5.6.0-0.rc.2.mga6
+ Revision: 987942
- Rebuild Qt5 Stack to fix plasma crashes

* Sun Feb 28 2016 neoclust <neoclust> 5.6.0-0.rc.1.mga6
+ Revision: 980611
+ rebuild (emptylog)

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.4.mga6
+ Revision: 915944
- Rebuild against new cmake to have cmake() provides

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.3.mga6
+ Revision: 915805
- Rebuild against new cmake to have cmake() provides

* Sun Dec 20 2015 neoclust <neoclust> 5.6.0-0.beta.2.mga6
+ Revision: 912733
- Remove private devel packages

* Fri Dec 18 2015 neoclust <neoclust> 5.6.0-0.beta.1.mga6
+ Revision: 911692
- New version 5.6.0 Beta

* Tue Nov 10 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 900347
- Rebuild against fixed qtbase5

* Fri Oct 23 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 894498
- New version

* Sun Jul 12 2015 filipesaraiva <filipesaraiva> 5.5.0-1.mga6
+ Revision: 853381
- Update to Qt 5.5.0 version;
- Fix URL to new address qt.io;

* Tue Jun 23 2015 neoclust <neoclust> 5.5.0-0.rc.1.mga6
+ Revision: 840367
- New version 5.5 rc

* Sat Dec 13 2014 neoclust <neoclust> 5.4.0-1.mga5
+ Revision: 802870
- New version 5.4.0

* Sun Dec 07 2014 neoclust <neoclust> 5.3.2-1.mga5
+ Revision: 801808
- New version 5.3.2

* Wed Oct 15 2014 umeabot <umeabot> 5.3.1-3.mga5
+ Revision: 746147
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.3.1-2.mga5
+ Revision: 688549
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 fwang <fwang> 5.3.1-1.mga5
+ Revision: 639782
- 5.3.1

* Tue May 20 2014 fwang <fwang> 5.3.0-1.mga5
+ Revision: 624084
- 5.3.0 final

* Fri May 09 2014 fwang <fwang> 5.3.0-0.rc.1.mga5
+ Revision: 621465
- 5.3.0 rc

* Sun Apr 06 2014 fwang <fwang> 5.3.0-0.beta.1.mga5
+ Revision: 612308
- 5.3.0beta

* Mon Mar 03 2014 neoclust <neoclust> 5.3.0-0.alpha.1.mga5
+ Revision: 598866
- New version 5.3.0-alpha

* Mon Feb 17 2014 fwang <fwang> 5.2.1-3.mga5
+ Revision: 593315
- fix libpkgname

* Mon Feb 17 2014 fwang <fwang> 5.2.1-2.mga5
+ Revision: 593259
- fix provides

* Mon Feb 17 2014 fwang <fwang> 5.2.1-1.mga5
+ Revision: 593238
- update file list
- update file list
- add more br
- add more br
- imported package qtlocation5

